Skip to main content
PUT
/
concurrent_connections
/
{model_id}
Update model autoscaling group
curl --request PUT \
  --url https://restapi.deepdub.ai/api/v1/concurrent_connections/{model_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{
  "size": 5
}'
{
  "success": true,
  "message": "Operation successful",
  "data": {
    "concurrent_connections": 3,
    "desired_concurrent_connections": 5
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.deepdub.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Must start with dd- prefix.

Headers

x-api-key
string
default:dd-00000000000000000000000065c9cbfe
required

API Key

Path Parameters

model_id
string
required

Model ID

Body

application/json

Update ASG request

Request to update autoscaling group capacity

size
integer
required

Desired capacity for the autoscaling group

Required range: x >= 0
Example:

5

Response

Updated connection info

Autoscaling group connection information

success
boolean
Example:

true

message
string
Example:

"Operation successful"

data
object